NODEINFOD(8)

NAME
nodeinfod - responds to ICMPv6 node information queries

SYNOPSIS
nodeinfod [-df] [-n name]

DESCRIPTION
nodeinfod responds to ICMPv6 node information queries.

By default, nodeinfod will use the result from gethostname(3) as the node name (or FQDN). With -n, you can specify alternate hostname by an additional argument, name. -f runs nodeinfod in foreground mode (do not become daemon). -d is for debugging.

RETURN VALUES
nodeinfod exits with 0 on success, and non-zero on errors.

SEE ALSO
icmp6(4)

Matt Crawford, IPv6 Node Information Queries, May 2002, Internet Draft, draft-ietf-ipngwg-icmp-name-lookups-09.txt, work in progress.

HISTORY
The nodeinfod command first appeared in WIDE/KAME IPv6 protocol stack kit.

BUGS
At this moment, there is no way for users to suppress node information responses from the KAME kernel. Therefore, if you run nodeinfod on KAME kernel, you will see two responses.

There are a lot of spec violations. (1) subject address validation is insufficient, (2) does not return node name (FQDN) TTL, and more.